api/urls.py
from django.urls import path
from . import views

app_name = 'api'
urlpatterns = [
    # jwt auth
    path('auth/token-pair/', views.CustomTokenViewBase.as_view(), name='token_pair'),
    path('auth/token-refresh/', views.CustomTokenRefreshView.as_view(), name='token_refresh'),
    # views
    path('budget_entries/', views.BudgetEntryView.as_view(), name='budget_entries'),
    path('aggr_budgets/', views.AggregateBudgetView.as_view(), name='aggr_budgets'),
    path('charts/', views.ChartView.as_view(), name='charts-api')
]

project/urls.py
from django.contrib import admin
from django.urls import path, include
from .yasg import urlpatterns as doc_urls

urlpatterns = [
    path('admin/', admin.site.urls),
    path('purse/', include('purse.urls')),
    path('auth/', include('users.urls')),
    path('api/', include('api.urls')),
    path('api-auth', include('rest_framework.urls')),
    path('social/', include('social_django.urls', namespace='social'))
]

urlpatterns += doc_urls

purse/urls.py
from django.urls import path
from . import views


app_name = 'purse'

urlpatterns = [
    path('', views.IndexPageView.as_view(), name='index'),  # переделал
    # CRUD
    path('profile/add_operations/', views.AddBudgetEntryView.as_view(), name='add_operations'),  # create
    path('create_expense/', views.AddBudgetEntryExpenseView.as_view(), name='add_expense'),  # create
    path('create_income/', views.AddBudgetEntryIncomeView.as_view(), name='add_income'),  # create
    path('profile/<str:user>/<int:year>/<str:slug>/', views.AggrBudgetDetailView.as_view(), name='budget_detail'),  # read
    path('profile/history/', views.HistoryOperationsView.as_view(), name='history'),  # read
    path('profile/change/<str:pk>/', views.BudgetEntryUpdateView.as_view(), name='change_budget_entry'),  # update
    path('profile/delete_budget_entry/<str:pk>/', views.DeleteBudgetEntryView.as_view(), name='delete_budget_entry'),  # delete
    path('profile/delete_aggr_budget/<str:pk>/', views.DeleteAggregateBudgetView.as_view(), name='delete_aggr_budget'),  # delete
    # charts
    path('profile/charts/', views.ChartsView.as_view(), name='charts'),
    # export data
    path('profile/download/<str:pk>/', views.download, name='download'),
    path('profile/filter/', views.FilterBudgetEntriesView.as_view(), name='filter'),
]

users/urls.py
from django.urls import path
from .views import *


app_name = 'users'

urlpatterns = [
    # Вход/выход с сайта
    path('login/', UserLoginView.as_view(), name='login'),
    path('logout/', UserLogoutView.as_view(), name='logout'),
    # Изменить информацию о себе
    path('profile/change/', UserChangeInfo.as_view(), name='change_profile'),
    # Изменить пароля
    path('profile/password/change/', UserPasswordChangeView.as_view(), name='password_change'),
    # Сброс пароля
    path('password/reset/', UserPasswordResetView.as_view(), name='password_reset'),
    path('password/reset/<uidb64>/<token>/', UserPasswordResetConfirmView.as_view(), name='password_reset_confirm'),
    path('password/reset/done/', UserPasswordResetCompleteView.as_view(), name='password_reset_complete'),
    # Регистрация пользователя на сайте
    path('registration/', UserRegistrationView.as_view(), name='user_registration'),
    path('registration/activate/<str:sign>/', user_activate, name='registration_activate'),
]

templates/base.html
{% load static %}
{% load bootstrap4 %}
<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="Mark Otto, Jacob Thornton, and Bootstrap contributors">
    <meta name="generator" content="Jekyll v4.1.1">
    <title>Кошелек - {% block title %}Главная{% endblock %}</title>
    <link rel="icon" href="{% static 'purse/img/wallet2.svg' %}">
    <link rel="stylesheet" href="{% static 'purse/css/styles.css' %}">

    <link rel="canonical" href="https://getbootstrap.com/docs/4.5/examples/blog/">

    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
          integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">

    <!-- Custom styles for this template -->
    <link href="https://fonts.googleapis.com/css?family=Playfair+Display:700,900" rel="stylesheet">
    <!-- Custom styles for this template -->
    <link href="{% static 'purse/css/base_page.css' %}" rel="stylesheet">
</head>

<body>
<div class="container">
    <div class="row">
        <div class="col">
            <header class="blog-header py-3">
                <div class="row flex-nowrap justify-content-between align-items-center">
                    <div class="col-4 pt-1"></div>
                    <div class="col-4 text-center">
                        <a class="blog-header-logo text-dark" href="{% url 'purse:index' %}">Кошелек</a>
                    </div>
                    <div class="col-4 d-flex justify-content-end align-items-center">
                        {% if not user.is_authenticated %}
                        <a class="btn btn-sm btn-outline-secondary" href="{% url 'users:user_registration' %}">Регистрация</a>
                        {% else %}
                        <a class="btn btn-sm btn-outline-secondary" href="{% url 'users:logout' %}">Выйти</a>
                        {% endif %}
                    </div>
                </div>
            </header>
        </div>
    </div>
    <div class="row">
        <div class="col">
            <div class="nav-scroller py-1">
                {% if user.is_authenticated %}
                <nav class="nav d-flex justify-content-between">
                    <a class="p-2 text-muted not-selected text-decoration-none{% if section == 'index' %} selected{% endif %}" href="{% url 'purse:index' %}">Главная</a>
                    <a class="p-2 text-muted not-selected text-decoration-none{% if section == 'add_operations' %} selected{% endif %}" href="{% url 'purse:add_operations' %}">Создать
                        запись</a>
                    <a class="p-2 text-muted not-selected text-decoration-none{% if section == 'history' %} selected{% endif %}" href="{% url 'purse:history' %}">История</a>
                    <a class="p-2 text-muted not-selected text-decoration-none{% if section == 'charts' %} selected{% endif %}" href="{% url 'purse:charts' %}">Графики</a>
                        <a class="p-2 text-muted not-selected text-decoration-none dropdown-toggle" href="#"
                           id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="false" aria-expanded="false">Профиль</a>
                        <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                            <a class="dropdown-item" href="{% url 'users:change_profile' %}">Изменить профиль</a>
                            <a class="dropdown-item" href="{% url 'users:password_change' %}">Изменить пароль</a>
                        </div>
                </nav>
                {% endif %}
            </div>
        </div>
    </div>
    <div class="dropdown-divider"></div>
    <div class="row">
        <div class="col">{% bootstrap_messages %}</div>
    </div>
    {% block content %}

    {% endblock %}
</div>
    {% include 'js.html' %}
    <script>
    $(document).ready(function(){
        {% block jquery %} {% endblock %}
    })
    </script>

<footer class="footer">
    <p>Budget App for everyone by <a
            href="#">@mdo</a>.</p>
</footer>
<script src="{% static 'users/js/jquery.maskedinput.min.js' %}"></script>
<script>
    $(document).ready(function() {
    $("#phone").mask("+7 (999) 999-99-99");
  });
</script>


</body>

</html>

templates/js.html
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
        integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
        crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
        integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
        crossorigin="anonymous"></script>

<script src="https://cdn.jsdelivr.net/npm/chart.js@2.8.0"></script>